crack-attack
6

# crack-attack

multiplayer OpenGL puzzle game like "Tetris Attack"

          &dhpackage;

            --server PORT
                   --wait

            SERVER PORT

            --solo

                --easy
                --medium
                --hard

          --name NAME
          -X

## Description

&package; is roughly based on the Super Nintendo game "Tetris Attack". Slowly, your stack of colored blocks grows from the bottom, and you've got to make sure it never reaches the top. If it does, you lose. To eliminate blocks from the stack, line up at least three of one color, horizontally or vertically. Once you do, those blocks disappear, and put off slightly your inevitable demise.

Crack Attack essentially requires hardware acceleration. For XFree users, this means you want DRI.

## Options

`--solo`

  Creates a solo game versus yourself. The goal is to gain as many points as possible. If an AI level is specified, then the game is played versus a computer and the goal is to defeat the computer player in as little time as possible.

## Copyright

Copyright © 2000 Daniel Nelson

Copyright © 2005 Andrew Sayman

An attempt at a complete list of copyright holders is included with the source distribution of this software in the file COPYRIGHT

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

The GNU General Public License can be found online at http://www.gnu.org/copyleft/gpl.html. Additionally, a copy can be obtained by writing to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

## Disclaimer

It is important to realize that the name of Crack Attack! X-treme play mode is meant to be humorous, and thus should not itself be the subject of derision. Thank you.

## Author

Direct any comments or questions to Andrew Sayman via the Crack Attack! home page: https://savannah.nongnu.org/projects/crack-attack

This manual page was written by &dhusername; &dhemail; for the &debian; system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts and no Back-Cover Texts.

A copy of Version 1.2 of the Free Documentation License is included in the file debian/copyright in the crack-attack source package. This file is also available in the Debian package as /usr/share/doc/crack-attack/copyright.